GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "dfe242bf-ef92-4607-a027-4047ef7d64c0",
"cleanroom_type_id": "1ee586de-dce3-478d-91bc-3d75bfe9bca8",
"code": 3,
"date_hu": "2026-03-09T15:41:24.9767457+00:00",
"id": "dcb978ab-5152-4998-8bcf-8c004ff632ea",
"site_id": "0eab521f-b6a6-429b-9910-d16e11e5e2ae",
"wash_count": 6,
"position": 1,
"pc_id": "0b8f548f-ee8a-4d1a-b5c0-2b6325447e49"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>dfe242bf-ef92-4607-a027-4047ef7d64c0</bag_status_id> <cleanroom_type_id>1ee586de-dce3-478d-91bc-3d75bfe9bca8</cleanroom_type_id> <code>3</code> <date_hu>2026-03-09T15:41:24.9767457+00:00</date_hu> <id>dcb978ab-5152-4998-8bcf-8c004ff632ea</id> <pc_id>0b8f548f-ee8a-4d1a-b5c0-2b6325447e49</pc_id> <position>1</position> <site_id>0eab521f-b6a6-429b-9910-d16e11e5e2ae</site_id> <wash_count>6</wash_count> </bag>